<?php

use App\Http\Controllers\PublicUserController;
use Illuminate\Support\Facades\Route;

Route::get('/', function() {
    return view('welcome');
});

Route::prefix('/api')->group(function() {
    Route::controller(PublicUserController::class)->prefix('/users')->group(function() {
        Route::put('/register', 'register');
        Route::post('/login', 'login');
        Route::post('/reset', 'reset');
    });
});

Route::get('/session', function() {
    exit(print_r(session()->all(), true));
});
